#
# Cookbook Name:: ganglia
# Recipe:: gmond
#
# Copyright 2013, whitestar
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

gmond_service = nil
case node[:platform_family]
  when 'debian'
    package 'ganglia-monitor' do
      action :install
    end

    gmond_service = 'ganglia-monitor'
    service gmond_service do
      action [:enable]
      supports :status => false, :restart => true, :reload => false
    end
  when 'rhel'
    package 'ganglia-gmond' do
      action :install
    end

    gmond_service = 'gmond'
    service gmond_service do
      action [:enable]
      supports :status => true, :restart => true, :reload => false
    end
end

template '/etc/ganglia/gmond.conf' do
  source 'etc/ganglia/gmond.conf'
  owner 'root'
  group 'root'
  mode '0644'
  notifies :restart, "service[#{gmond_service}]"
end

